[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBComboBox.KeyPress

Applies standard keystrokes to the control.

## Declaration

Source position: dbctrls.pp line 794

`protected procedure TDBComboBox.KeyPress(`
`var Key: Char`
`); override;`

## Arguments

`Key` |  | Keystroke character examined in the method.

## Description

KeyPress is an overridden method used to apply standard keystrokes to the data-aware control. KeyPress calls the inherited method to process the keystroke character in Key. If the key is not handled in the ancestor, and is in the range #32..#255, it can be potentially applied to the Field in the linked dataset. FieldCanAcceptKey, in the implementation section, is called to to determine if the keystroke can be used and applied to the field type. When valid for the field, Key is set to #0 to suppress further processing of the keystroke.

## See also

TFieldDataLink.Field |  | The Field to which the datalink is attached.
TField
TWinControl.KeyPress |  | Signals the OnKeyPress event handler (when assigned).